package com.iamberry.wechat.service.agentInfo;

import com.iamberry.wechat.core.entity.agentInfo.AgentConfig;
import com.iamberry.wechat.core.entity.agentInfo.AgentTooth;
import com.iamberry.wechat.face.agentInfo.AgentInfoService;
import com.iamberry.wechat.service.mapper.AgentInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/10/11.
 */
@Service
public class AgentInfoServiceImpl implements AgentInfoService {

    @Autowired
    private AgentInfoMapper agentInfoMapper;

    @Override
    public List<AgentConfig> listAgentConfig(AgentConfig config) {
        return agentInfoMapper.listAgentConfig(config);
    }

    @Override
    public List<AgentTooth> listAgentTooth(AgentTooth agentTooth) {
        return agentInfoMapper.listAgentTooth(agentTooth);
    }

    @Override
    public Integer addAgentConfigList(List<AgentConfig> list) {
        return agentInfoMapper.addAgentConfigList(list);
    }

    @Override
    public Integer updateAgentConfig(AgentConfig config) {
        return agentInfoMapper.updateAgentConfig(config);
    }

    @Override
    public AgentTooth getAgentTooth(AgentTooth agentTooth) {
        return agentInfoMapper.getAgentTooth(agentTooth);
    }

    @Override
    public AgentConfig getAgentConfig(AgentConfig config) {
        return agentInfoMapper.getAgentConfig(config);
    }
}
